package space.kklochko.jdbc_hospital_example.config.factories;

import lombok.NonNull;
import space.kklochko.jdbc_hospital_example.config.env.DataBaseEnvConfig;
import space.kklochko.jdbc_hospital_example.config.models.DataBaseConfig;

public class LoadDataBaseConfigFromEnvFile {
    public DataBaseConfig load(@NonNull String filename) {
        DataBaseEnvConfig dbEnv = new DataBaseEnvConfig(filename);
        return new DataBaseConfig(dbEnv.getUrl(), dbEnv.getProperties());
    }

    public DataBaseConfig load() {
        DataBaseEnvConfig dbEnv = new DataBaseEnvConfig();
        return new DataBaseConfig(dbEnv.getUrl(), dbEnv.getProperties());
    }
}
